Create

Create

Create a workflow execution.

Request
URI
PUT
https://{api_host}/tca/workflows/api/v1/orgs/{tenantIdWorkflowExecution}/workflowExecution
COPY
Path Parameters
string
tenantIdWorkflowExecution
Required

The identifier of the tenant


Request Body

request payload.

workflowExecutionCreateRequest of type(s) application/json
Required
This request body class requires all of the following: workflowExecutionRoot , InlineworkflowExecutionCreateRequest1
{
    "pauseAtFailure": false,
    "retainedTil": "string",
    "debugStepIds": [
        "string"
    ],
    "contextType": "string",
    "workflowId": "string"
}
Responses
200

Successfully queued the workflow execution.

Returns workflowExecution of type(s) application/json
This response body class contains all of the following: workflowExecutionBase , InlineworkflowExecution1
{
    "pauseAtFailure": false,
    "retainedTil": "string",
    "debugStepIds": [
        "string"
    ],
    "contextType": "string",
    "workflow": {
        "id": "string",
        "createdAt": "string",
        "creationUser": "string",
        "creationTenantId": "string"
    },
    "id": "string",
    "creationTime": "string",
    "aborted": false,
    "endTime": "string",
    "creationUser": "string",
    "stepExecutions": [
        {
            "stepSnapshot": {
                "id": "string"
            },
            "state": "string",
            "startTime": "string",
            "aborted": false,
            "endTime": "string",
            "logs": [
                {
                    "msg": "string",
                    "time": "string",
                    "level": "string"
                }
            ]
        }
    ],
    "logs": [
        {
            "msg": "string",
            "time": "string",
            "level": "string"
        }
    ]
}

400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors


404

Workflow not found

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors


500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of error
errors
Optional

errors